#ifndef EPIX2_HEADER_FILE
#define EPIX2_HEADER_FILE

#include <iostream>
#include <sstream>
#include <list>
#include <vector>
#include <set>
#include <cstdlib>
#include <cmath>

#ifndef EPIX2_ERRORS
#include "Errors.h"
#endif
#ifndef EPIX2_CONSTANTS
#include "Constants.h"
#endif
#ifndef EPIX2_GLOBALS
#include "Utils.h"
#endif

#ifndef EPIX2_LENGTHS
#include "Length.h"
#endif
#ifndef EPIX2_COLOR
#include "Color.h"
#endif
#ifndef EPIX2_STYLES
#include "Styles.h"
#endif

#ifndef EPIX2_INTERVAL
#include "Interval.h"
#endif
#ifndef EPIX2_PAIR
#include "Pair.h"
#endif
#ifndef EPIX2_MASK
#include "Mask.h"
#endif
#ifndef EPIX2_PAIR_MAP
#include "Pair_Map.h"
#endif
#ifndef EPIX2_POINT
#include "Point.h"
#endif
#ifndef EPIX2_VISIBILITY
#include "Visibility.h"
#endif
#ifndef EPIX2_FUNCTIONS
#include "Functions.h"
#endif

#ifndef EPIX2_VECTOR
#include "Vector.h"
#endif
#ifndef EPIX2_LIGHTING
#include "Lighting.h"
#endif
#ifndef EPIX2_KNIFE
#include "Knife.h"
#endif
#ifndef EPIX2_SCISSORS
#include "Scissors.h"
#endif
#ifndef EPIX2_BASIS
#include "Basis.h"
#endif
#ifndef EPIX2_GYRO
#include "Gyro.h"
#endif
#ifndef EPIX2_CAMERA
#include "Camera.h"
#endif

#ifndef EPIX2_OBJECT
#include "Object.h"
#endif
#ifndef EPIX2_CIRCLE
#include "Circle.h"
#endif
#ifndef EPIX2_COMPOUND
#include "Compound.h"
#endif
#ifndef EPIX2_LABEL
#include "Label.h"
#endif
#ifndef EPIX2_POLYGON
#include "Polygon.h"
#endif
#ifndef EPIX2_SEGMENT
#include "Segment.h"
#endif
#ifndef EPIX2_SPHERE
#include "Sphere.h"
#endif
#ifndef EPIX2_TETRA
#include "Tetra.h"
#endif

#ifndef EPIX2_EDGE
#include "Edge_Data.h"
#endif
#ifndef EPIX2_GYROSCOPE
#include "Gyroscope.h"
#endif

#ifndef EPIX2_SCREEN
#include "Screen.h"
#endif
#ifndef EPIX2_PICTURE
#include "Picture.h"
#endif

#ifndef EPIX2_OUTPUT
#include "Output.h"
#endif
#ifndef EPIX2_PSTRICKS
#include "PSTricks.h"
#endif
#ifndef EPIX2_SVG_1_1
#include "SVG.h"
#endif
#ifndef EPIX2_PS
#include "PS.h"
#endif

#ifndef EPIX2_WORLD
#include "World.h"
#endif

#endif // EPIX2_HEADER_FILE
