#include "epix2.h"

using namespace ePiX2;

int main()
{
  const int N(20);

  World world;
  Camera camera;
  Picture pic(Pair(-4,-4), Pair(4,4), "6x6in");

  Pen bright(Red(), "2pt");

  Pen cut(Green(), "2pt");

  Vector v1(Origin, 0,2,2), v2(Origin, 0,-2,2), v3(Point(0,1,1), 0,-1,-1);
  Polygon T(v1, v2, 4);
  T.limn(bright).paint(Blue());

  for (int i=0; i<N; ++i)
    world << T.move_to(Point(-5*i,0,0));

  Knife k(v3, cut);
  world.chop(k);

  camera.at(Point(20,5,8)).look_at(Point(-N,0,0)).focus(16);

  world.fog(0.05, 20);

  world.photo(pic, camera);

  pic.print_to("fog3.eepic", PSTricks());
}
