#include "epix2.h"
using namespace ePiX2;

int main() {

  World world;
  Camera camera;

  Picture picture(Pair(0,0), Pair(4,4), "400x400pt");
  Point ctr(2,2), ctr2(0.5,0.5), ctr3(0.5,1.75), ctr4(0.5,3);

  picture.backing(Yellow());

  Ink swatch(RGB(0.9,0.5,0.3));
  Ink cmyswatch(CMY(0.1,0.5,0.7));
  Ink cmykswatch(CMYK(0.1,0.5,0.7,0));
  //camera.filter(RGB(0.8,1,1));
  //camera.filter(CMYK(0.2,0,0,0));
  camera.filter(Yellow());

  Polygon tile2(Vector(ctr2, 0.5, 0.5, 0), Vector(ctr2,-0.5, 0.5, 0), 4);
  Polygon tile3(Vector(ctr3, 0.5, 0.5, 0), Vector(ctr3,-0.5, 0.5, 0), 4);
  Polygon tile4(Vector(ctr4, 0.5, 0.5, 0), Vector(ctr4,-0.5, 0.5, 0), 4);

  world << tile2.paint(swatch)
	<< tile3.paint(cmyswatch)
	<< tile4.paint(cmykswatch);


  world.photo(picture,camera);
  picture.print_to("svgtest1.svg", SVG());
}
