/*
 * Color_Neutral.h -- epix2::Neutral ("unset") class
 *
 * This file is part of ePiX, a program for creating high-quality 
 * figures in LaTeX 
 *
 * Version 2.0pre
 * Last Change: August 15, 2006
 *
 * 
 * Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006
 * Andrew D. Hwang <rot 13 nujnat at zngupf dot ubylpebff dot rqh>
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 *
 *
 * ePiX is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ePiX is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ePiX; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef EPIX2_COLOR_NEUTRAL
#define EPIX2_COLOR_NEUTRAL
#include <string>

#include "Color.h"

class Format;

namespace ePiX2 {
  class Neutral_Color : public Color_Base {
  public:
    Neutral_Color();

    Color filter(const Color_Base&) const;

    std::string name() const;

  private:
    // these functions are implemented, but should never be called
    RGB_Densities to_rgb() const;
    Neutral_Color* clone() const;

    Neutral_Color& operator*= (const double c);

    Neutral_Color& blend(const Color_Base&, const double);
    Neutral_Color& superpose(const Color_Base&);
    Neutral_Color& invert();

    std::string print_to(const Format&) const;
  }; // end of class Neutral_Color

} // end of namespace
#endif /* EPIX2_COLOR_NEUTRAL */
