/* 
 * Errors.h -- ePiX2 exceptions, warnings, and errors
 *
 * This file is part of ePiX, a preprocessor for creating high-quality 
 * line figures in LaTeX 
 *
 * Version 2.0pre
 * Last Change: May 21, 2006
 */

/* 
 * Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006
 * Andrew D. Hwang <rot 13 nujnat at zngupf dot ubylpebff dot rqh>
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 */

/*
 * ePiX is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ePiX is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ePiX; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * This file provides:
 *
 *   Error and warning functions
 */
#ifndef EPIX2_ERRORS
#define EPIX2_ERRORS

#include <string>
#include <iostream>

namespace ePiX2 {

  class div_by_zero { 
  public:
    div_by_zero(void) { }
  }; // error class

  inline void epix_warning(std::string warning) 
    { std::cerr << "ePiX WARNING: " << warning << "\n"; }

  inline void epix_error(std::string warning) 
    { std::cerr << "ePiX ERROR: " << warning << "\n";  exit(1); }

} /* end of namespace */

#endif /* EPIX2_ERRORSS */
