/* 
 *  Shard.cc -- ePiX2 Base class and handle for Object representation:
 *
 * This file is part of ePiX, a program for creating high-quality 
 * figures in LaTeX 
 *
 * Version 2.0pre
 * Last Change: August 10, 2006
 */

/* 
 * Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006
 * Andrew D. Hwang <rot 13 nujnat at zngupf dot ubylpebff dot rqh>
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 */

/*
 * ePiX is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ePiX is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ePiX; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifdef DEBUG
#include "Debug.h"
#endif

#include "Shard.h"

namespace ePiX2 {

  Shard& Shard::front_pen(const Pen& pen) { return *this; }
  Shard& Shard::front_ink(const Ink& ink) { return *this; }
  Shard& Shard::back_pen(const Pen& pen)  { return *this; }
  Shard& Shard::back_ink(const Ink& ink)  { return *this; }

  Shard& Shard::line_pen(const Pen& pen)  { return *this; }
  Shard& Shard::base_pen(const Pen& pen)  { return *this; }
  Shard& Shard::stencil(const Stencil& S) { return *this; }

  Shard& Shard::text(const Color& color)      { return *this; }
  Shard& Shard::back(const Color& color)      { return *this; }
  Shard& Shard::pad(const Length& length)     { return *this; }
  Shard& Shard::edge(const Pen& pen)          { return *this; }

  Shard& Shard::align(const align_type align) { return *this; }
  Shard& Shard::font(const font_type font)    { return *this; }
  Shard& Shard::angle(const double theta)     { return *this; }
  Shard& Shard::offset(std::string offsets)   { return *this; }

  bool Shard_Area::operator() (const Shard* S1, const Shard* S2)
  {
#ifdef DEBUG
    std::cerr << "Shard_Area::operator()" << std::endl;
#endif
    return (S1->priority() > S2->priority());
  }
} // end of namespace

