/* 
 * Tetra.h -- ePiX2::Tetrahedron class
 *
 * This file is part of ePiX, a program for creating high-quality 
 * figures in LaTeX 
 *
 * Version 2.0pre
 * Last Change: August 16, 2006
 *
 * 
 * Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006
 * Andrew D. Hwang <rot 13 nujnat at zngupf dot ubylpebff dot rqh>
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 *
 *
 * ePiX is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ePiX is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ePiX; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef EPIX2_TETRA
#define EPIX2_TETRA

#include "Object.h"

namespace ePiX2 {

  class  Point;

  class Tetra : public Object {
  public:
    Tetra(const Point&, const Point&, const Point&, const Point&);
    Tetra* clone(void) const;

    // int = 1, ..., 4 is the face opposite the i-th vertex
    Tetra& paint_face(const int, const Ink&);
    Tetra& limn_face(const int, const Pen&);

  }; // end of class Tetra

} /* end of namespace */

#endif /* EPIX2_TETRA */
