#ifndef EPIX2_DEBUG
#define EPIX2_DEBUG

#include <iostream>
#include <string>

#include "Point.h"
#include "Vector.h"
#include "Basis.h"

#include "Errors.h"

namespace ePiX2
{
  inline void print(const Point& arg, const std::string& msg="")
  {
    std::cerr << msg << " (" 
	      << arg.x1() << ", " 
	      << arg.x2() << ", " 
	      << arg.x3() << ")" <<std::endl;
  }

  inline void print(const Vector& arg, const std::string& msg)
  {
    std::cerr << msg << " (" 
	      << arg.dx1() << ", " 
	      << arg.dx2() << ", " 
	      << arg.dx3() << ") at";
    print(arg.tail());
  }

  inline void print(const Basis& B, const std::string& msg)
    {
      std::cerr << msg << std::endl;
      print (B.sea(), "  sea:");
      print (B.sky(), "  sky:");
      print (B.eye(), "  eye:");
    }
}
#endif /* EPIX2_DEBUG */
